summaryrefslogtreecommitdiff
path: root/tests/split/line-bytes.sh
diff options
context:
space:
mode:
authorJim Meyering <meyering@fb.com>2013-05-26 18:56:50 -0700
committerJim Meyering <meyering@fb.com>2013-05-27 15:02:50 -0700
commit5a7f03c210ece1058bdf172c6a47bfacc15bd73a (patch)
tree6f0e053d297a4c0666859c35595bbb572c08f1c2 /tests/split/line-bytes.sh
parent909a0561de27e516f3dff8e4a79ce0add5ca148b (diff)
downloadcoreutils-5a7f03c210ece1058bdf172c6a47bfacc15bd73a.tar.xz
tests: avoid spurious failure when SIZE_MAX is 2^32-1
* tests/split/line-bytes.sh: Since we've limited virtual memory to 20MB, choose a smaller size, 1GiB (which is <= SIZE_MAX) rather than 1EiB, which is larger than SIZE_MAX on 32-bit systems. I confirmed that this test still fails when the split.c-modifying part of v8.21-58-gfec363c is backed out.
Diffstat (limited to 'tests/split/line-bytes.sh')
-rwxr-xr-xtests/split/line-bytes.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/split/line-bytes.sh b/tests/split/line-bytes.sh
index c58f12b21..2beae815c 100755
--- a/tests/split/line-bytes.sh
+++ b/tests/split/line-bytes.sh
@@ -22,7 +22,7 @@ require_ulimit_v_
# Ensure memory is not allocated up front
-(ulimit -v 20000; split -C 'E' /dev/null) || fail=1
+(ulimit -v 20000; split -C 'G' /dev/null) || fail=1
# Ensure correct operation with various split and buffer size combinations